import { Form, Select } from "antd";
import { FormDatas } from "./interface";
import { useEffect, useState } from "react";
import { base } from "@/service/base";
const { Option } = Select;
export const FormSelect = (props: FormDatas) => {
  const [list, setList] = useState<any>([]);
  useEffect(() => {
    if (props.selectList && props.selectList.length > 0) {
      setList(props.selectList);
    } else {
      base.get(`${props.selectUrl}`, {size:50,offset:1}).then((res) => {
        setList(res.data.record ?? []);
      });
    }
  }, [props.selectUrl, props.selectList]);
  return (
    <Form.Item key={props.label} label={props.label} name={props.name} rules={props.rules}>
      <Select placeholder="" mode={props.selectModel}>
        {list?.map((v: any) => {
          return (
            <Option key={v.identity} value={v.identity}>
              {v[props.key ?? "name"]}
            </Option>
          );
        })}
      </Select>
    </Form.Item>
  );
};
