import { FormType } from "@/components/form/interface";
import { UserDataType } from "@/model/userModel";
import { ColumnsType } from "antd/lib/table";
import { Image, Tag } from "antd";
export const defaultConfig = [
  {
    type: FormType.input,
    label: "文章标题",
    name: "title",
    value: "",
    rules: [{ required: true, message: "请输入文章标题!" }],
  },
  {
    type: FormType.textarea,
    label: "内容",
    name: "content",
    value: "",
    rules: [{ required: true, message: "请输入内容" }],
  },
  {
    type: FormType.upload,
    label: "图片介绍",
    name: "cover",
    rules: [{ required: true, message: "请上传照片" }],
    value: [],
  },
];

export const columns: ColumnsType<UserDataType> = [
  {
    title: "标题",
    dataIndex: "title",
    fixed: "left",
    width:200,
  },
  {
    title: "图片介绍",
    dataIndex: "cover",
    width: 150,
    render: (cover) => {
      return <Image src={cover}></Image>;
    },
  },
  {
    title: "内容",
    dataIndex: "content",
    width:400,
  },
  {
    title: "文章类型",
    dataIndex: "artic_type",
    render: (artic_type) => {
      return <Tag color={artic_type === 1 ? "green" : "red"}>{artic_type === 1 ? "三农" : "建议"}</Tag>;
    },
  },
];
