import { UserDataType } from "@/model/userModel";
import { ColumnsType } from "antd/lib/table";
import { Image } from "antd";

export const columns: ColumnsType<UserDataType> = [
  {
    title: "商品名称",
    dataIndex: "sku_name",
    fixed: "left",
  },
  {
    title: "商品分类",
    dataIndex: "sku_cat",
    render: (text, record) => {
      return <span>{text.name}</span>;
    },
  },
  {
    title: "品牌",
    dataIndex: "sku_brand_identity",
  },
  {
    title: "缩略图",
    dataIndex: "sku_thumb",
    render: (text, record) => {
      return <Image width={50} src={text} />;
    },
  },
  // {
  //   title: "商品介绍",
  //   dataIndex: "sku_desc",
  // },
  {
    title: "所属城市",
    dataIndex: "city",
    render: (text, record) => {
      return <span>{text.city_name}</span>;
    },
  },
];
