import React from "react";
import { Button, Space } from "antd";
import { Store } from "antd/lib/form/interface";
import { inject, observer } from "mobx-react";
import { useEffect } from "react";
import { columns } from "./config";
import BTable from "@/components/b_table";
import { useNavigate } from "react-router";
const Sku = (props: Store) => {
  const { skuStore } = props;
  const nav = useNavigate();
  // 获取列表数据
  useEffect(() => {
    skuStore.getlist();
  }, [skuStore]);

  return (
    <div className="contentBox">
      <Space direction="vertical" size="middle" style={{ display: "flex" }}>
        <Button type="default" onClick={() => nav("/sku/add")}>
          添加
        </Button>
        <BTable
          store={skuStore}
          scroll={{ x: "max-content" }}
          columns={columns}
          dataSource={skuStore.list}
          deleteCallback={(record) => {
            skuStore.deleteItem(record);
          }}
          editCallback={(record) => {
            
          }}
        />
      </Space>
    </div>
  );
};

export default inject("skuStore")(observer(Sku));
