import AliUpload from "@/components/ali_upload";
import { Button } from "antd";
import { Store } from "antd/es/form/interface";
import { inject, observer } from "mobx-react";
import { useEffect, useState } from "react";

const HpBanner = (props: Store) => {
  const { sysStore } = props;
  const [files, setFiles] = useState<any[]>([]);
  useEffect(() => {
    sysStore.getBanner({ app_position: 2 }).then((_) => {
      setFiles(sysStore.banner);
    });
  }, [sysStore]);
  const save = () => {
    let objList: any = [];
    files.forEach((item, index) => {
      objList.push({
        file_name: item.fileName,
        file_url: item.url,
        city_identity: "",
        app_position: 2,
      });
    });
    sysStore.setBanner({ list: objList });
  };
  return (
    <div className="banner">
      <div className="banner-content">
        <AliUpload
          value={files}
          onChange={(v) => {
            setFiles(v);
          }}
        />
        <Button
          onClick={() => {
            save();
          }}
        >
          保存
        </Button>
      </div>
    </div>
  );
};

export default inject("sysStore")(observer(HpBanner));
