import { createHashRouter } from "react-router-dom";
import LayOut from "@/components/layout/layout";
import { rbac } from "@/router/routers/rbac_router";
import { sku } from "@/router/routers/sku_router";
import { sys } from "@/router/routers/sys_router";
import { city } from "@/router/routers/city_router";
import { charity } from "@/router/routers/charity";

const routers = createHashRouter([
  {
    path: "/",
    element: <LayOut />,
    children: [
      {
        path: "/",
        index: true,
        lazy: async() => ({
          Component:(await import("@/pages/dashbord")).default,
        })
      },
      {
        path: "/user/list",
        index: true,
        lazy: async() => ({
          Component:(await import("@/pages/user/user")).default,
        })
      },
      ...rbac,
      ...sku,
      ...sys,
      ...city,
      {
        path: "/order/list",
        index: true,
        lazy: async() => ({
          Component:(await import("@/pages/order")).default,
        })
      },
      ...charity,
      // { key: "/charity/setting", label: `公益设置` },
      // { key: "/charity/af", label: `求助申请` },
      // { key: "/charity/artic", label: `公益文章` },
    ],
  },
  {
    path: "/login",
    lazy: async() => ({
      Component:(await import("@/pages/login/login")).default,
    })
  },
]);

export { routers };
