import { makeObservable } from "mobx";
import BaseStore from "./baseStore";
import { UserDataType } from "@/model/userModel";
import { CityConfig, CityHistoryConfig, CityHumIntroConfig, CityLocalFoodConfig } from "@/service/config";

class CityStore extends BaseStore<UserDataType> {
    constructor() {
        super(CityConfig)
        makeObservable(this, {})
    }
}
const cityStore = new CityStore();

class CityHisStore extends BaseStore<UserDataType> {
    constructor() {
        super(CityHistoryConfig)
        makeObservable(this, {})
    }
}
const cityhisStore = new CityHisStore();

class CityHumStore extends BaseStore<UserDataType> {
    constructor() {
        super(CityHumIntroConfig)
        makeObservable(this, {})
    }
}
const cityhumStore = new CityHumStore();

class CityLocalStore extends BaseStore<UserDataType> {
    constructor() {
        super(CityLocalFoodConfig)
        makeObservable(this, {})
    }
}
const cityLocalStore = new CityLocalStore();
export { cityStore, cityLocalStore, cityhisStore, cityhumStore };