
import { action, makeObservable, observable } from "mobx";
import { base } from "@/service/base";

class SysConfig {
    static Banner: string = "/sys/banner";
}
class SysStore {
    banner: any = null;
    constructor() {
        makeObservable(this, {
            getBanner: action,
            banner:observable,
        })
    }

    // 获取轮播图
    async getBanner(param) {
        let data = await base.get(SysConfig.Banner, param)
        if (data.code !== 200) {
            return false
        }
        let list: any = []
        data.data.record.forEach(element => {
            list.push({
                url: element.file_url,
                file_name: element.file_name,
            })
        });
        this.banner = list;
    }

    async setBanner(param) {
        let data = await base.post(SysConfig.Banner, param)
        if (data.code !== 200) {
            return false
        }
    }
}
const sysStore = new SysStore();
export default sysStore;
